using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMUserCustomConfigHColMap : APTEntityBaseMap<T_FM_USER_CUSTOM_CONFIG_H_COL>
	{
		public override void Configure(EntityTypeBuilder<T_FM_USER_CUSTOM_CONFIG_H_COL> builder)
		{
			base.Configure(builder);
			builder.HasOne(t => t.Nav_Column).WithMany().HasForeignKey(t => t.COLUMN_ID).OnDelete(DeleteBehavior.Restrict);
			builder.HasOne(t => t.Nav_HiddenTable).WithMany(t => t.Nav_HiddenColumns).HasForeignKey(t => t.USER_CUSTOM_CONFIG_H_TAB_ID).OnDelete(DeleteBehavior.Restrict);

		} 

	}
}
